ubuntu/+source/amarok:ubuntu/quantal-updates

Last commit made on 2012-11-14
Get this branch:
git clone -b ubuntu/quantal-updates https://git.launchpad.net/ubuntu/+source/amarok
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/quantal-updates
Repository:
lp:ubuntu/+source/amarok

Recent commits

58e7df8... by Rohan Garg on 2012-11-14

Import patches-unapplied version 2:2.6.0-0ubuntu2.1 to ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: b777678d1e7b7716195dd95cf19babc835b18b4f

New changelog entries:
  * Fix typo ( media-player-infoxs => media-player-info ) (LP: #1078772)

b777678... by Jonathan Riddell on 2012-08-21

Import patches-unapplied version 2:2.6.0-0ubuntu2 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 0954249d60cb27e22afdf7ab804ceaf1b2e5493d

New changelog entries:
  * Build-dep on libgpod-dev not libgpod-dev-nogtk as it
    no longer depends on gtk LP: #260091

0954249... by Jonathan Riddell on 2012-08-14

Import patches-unapplied version 2:2.6.0-0ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: d68aa22445c3dd9c93af6b534a3890194b66a794

New changelog entries:
  * New upstream release
  * Recommend media-player-info

d68aa22... by Jonathan Riddell on 2012-08-10

Import patches-unapplied version 2:2.6~rc1-0ubuntu2 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 5472a5c4116f90defe9fd3f69b9f309019477bcc

New changelog entries:
  * remove spectrum analyzer files from amarok.install, already in debian/rules

5472a5c... by Jonathan Riddell on 2012-08-07

Import patches-unapplied version 2:2.6~rc1-0ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 5dfceb67578a3efadc829086035dea873f887bed

New changelog entries:
  * New RC release 2.5.96

5dfceb6... by Harald Sitter on 2012-06-20

Import patches-unapplied version 2:2.6~beta1-1ubuntu2 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 805b01ee795fdfe6db10872cf56afd9fd4c0aabf

New changelog entries:
  * Add 0001-port-to-liblastfm1-api.patch from upstream (target 2.7) fixing
    compatibiity with liblastfm1, fairly trivial and simple patch (LP: #1015526)
  * Don't depend on now removed kdemultimedia-dev (is not used anymore anyway)
  * Bump liblastfm build dep to 1.0

805b01e... by Harald Sitter on 2012-06-05

Import patches-unapplied version 2:2.6~beta1-1ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 723c0cf319a55195ce7ad59eeb3ca8bceb94b8ce

New changelog entries:
  * Merge from Debian experimental, remaining changes: (LP: 1008645)
    - Don't build-depend on libavformat-dev and libofa0-dev as libavcodec*
      is not allowed on cd images.
    - Don't build-dep on libqt4-opengl-dev on armel and armhf and install
      file manually in debian/rules
    - build-dep on libmygpo
    - Add epoch "2:" to the version number.
    - More complete not-installed
    - Keep build-dep libmysqld-pic at 5.1.36-2 (new version not yet in archive)
    - Do not manually compress with xz, we handle this in pkg-kde and explicitly
      doing it prevents global control
  * Do not suggest libxine1-ffmpeg as this should have been in the Phonon
    backend to begin with and phonon-xine is no longer used anyway.
  * amarok-common breaks amarok (<< 2.6~beta1-1ubuntu1~) due to wrongly
    packaged desktop files in a previous release
  * Drop patches applied upstream:
    - kubuntu_Make-OpenGl-a-soft-dependency.diff
    - kubuntu_CMake-Move-occurence-of-OPENGL_INCLUDE_DIR-var.diff
    - kubuntu_kdelibs4.8_context_view.diff
  * Refreshed patch kubuntu_mysql_pic_library_path.diff
  * amarok-doc to Break and Replace all previous amarok-help-* packages
    having one big package and keep the diff small was deemed more reasonable
    on IRC

723c0cf... by Modestas Vainius <email address hidden> on 2012-06-02

Import patches-unapplied version 2.6~beta1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 73801c3a2b7e78bd3bbd687395ad5110408f5931

New changelog entries:
  * New upstream development release (2.5.90).
  * Drop upstream_fix_lyrics_autorefresh_in_some_cases.patch, merged upstream.
  * Adapt debian_find_mysql_fix.diff to upstream changes.
  * Update debian_fix_doc_nl_build.diff patch to fix a new build problem with
    KDE 4.7, require kdelibs5-dev 4:4.7.
  * Update install files.
  * Remove ${perl:Depends} from amarok-doc Depends, not needed.

73801c3... by Modestas Vainius <email address hidden> on 2012-05-26

Import patches-unapplied version 2.5.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4f704a78d33400ea83b6826253939ca7e5cd1ae9

New changelog entries:
  * Depend on libmysql-pic 5.5.23+dfsg so we can drop libssl-dev from
    Build-Depends.
  * Compress all deb packages with xz, not just amarok-dbg.
  * Split off Amarok Handbook into amarok-doc package.
  * Update debian/copyright.
  * Fix unsafe argument assignment in the debian_mysqle_force_defaults_file
    patch. Thanks to Pino Toscano for heads up.

4f704a7... by Modestas Vainius <email address hidden> on 2012-05-21

Import patches-unapplied version 2.5.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 811031a8149f7eaf4b875295162f536a1cd95ed6

New changelog entries:
  * Drop mysql-server-5.1 from Build-Depends-Indep. mysql-server-core-5.1 was
    split off long ago (it's in squeeze).
  * Prefer mysql-server-core-5.5 in Build-Depends-Indep. Alternatively depend
    on the mysql-server-core virtual package.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Since the package is compat=9, rebuild againt debhelper 9.20120419 should
    enable hardening flags. (Closes: #653354)
  * Improve debian_find_mysql_fix.diff to work with Debian libmysqld-pic
    5.5.23.
  * Add libssl-dev and libaio-dev [linux-any] to Build-Depends because they are
    needed for libmysqld-pic 5.5.23.
  * Force MySQLe to use our custom defaults file. This makes MySQLe independent
    from system MySQL configuration. (Closes: #672207, #673403)
    Patch debian_mysqle_force_defaults_file.diff
  * Bump debhelper build dependency to >= 9.